*, *::before, *::after {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
}

:root {
    --primary-hue: 120;
    --gray-hue: 120;
    --color-primary: hsl(var(--primary-hue),45%, 60%);
    --color-primary-variant: hsl(var(--primary-hue),100%, 65%);
    --color-secondary: rgb(250,219,12);
    --color-gray-100: hsl(var(--gray-hue),10%, 35%);
    --color-gray-200: hsl(var(--gray-hue),20%, 85%);
    --color-gray-300: hsl(var(--gray-hue),24%, 64%);
    --color-gray-350: hsl(var(--gray-hue),10%, 20%);
    --color-gray-400: hsl(var(--gray-hue),16%, 41%);
    --color-gray-500: hsl(var(--gray-hue),44%, 25%);
    --color-gray-600: hsl(var(--gray-hue),20%, 98%);

    --container-width-lg: 80%;
    --container-width-md: 90%;

    --transition: all 500ms ease;

}
/* general styles*/
body {
    font-family:'Montserrat', sans-serif;
    color: var(--color-gray-200);
    line-height: 1.7;
    overflow-x: hidden;
    background: var(--color-gray-600);
}
.container {
    width: var(--container-width-lg);
    max-width: 1920px;
    margin-inline: auto;
}
h1,h2,h3,h4,h5 {
    line-height: 1.2;
    color: var(--color-gray-350);
}
h1{
    font-size: 3rem;
}
h2 {
    font-size: 2rem;
}
a {color: var(--color-gray-100);
}
img {
    display: block;
    object-fit: cover;
    width: 100%;
}

.btn {
    color:white;
    width: fit-content;
    margin: 0 auto;
    padding: 0.9rem 2rem;
    background: green;
    border-radius: 1.5rem ;
    transition: rgb(247, 186, 5);
}

.btn lg{
    padding:1.2rem 3rem;
    border-radius: 2rem;
    font-size: 1.1rem;
}